Subject: Re: [PATCH v2] atm/fore200e: Fix possible data race in fore200e_open()

From: Simon Horman <[email-masked]>
Date: Fri, 14 Nov 2025 12:05:27 +0000

On Tue, Nov 11, 2025 at 08:47:14PM +0800, Gui-Dong Han wrote:
> Hi Jakub and Simon,
> 
> I was organizing my emails and noticed this v2 patch from January.
> Simon kindly provided a "Reviewed-by" tag for it.
> 
> It seems this patch may have been overlooked and was not merged.
> I checked the current upstream tree, and the data race in
> fore200e_open() (accessing fore200e->available_cell_rate
> without the rate_mtx lock in the error path) still exists.
> 
> Could you please take another look and consider this patch for merging?

Hi,

January was a long time ago, so I guess this slipped through the cracks somehow.

I would suggest reposting it to have it considered for merging.
I'd also explicitly target the patch at net. Something like this:

Subject: [PATCH REPOST net v2] ...

And feel free to include my Reviewed-by tag.